<div class="container">
    <h1 class="mb50"><span>Bildergalerie XY</span></h1>
	<div class="row">
		
<?php
$imagetypes = array("image/jpeg");
$images = getImages("bildergalerie/");  // Ordner mit den Bildern
$perPage=24;
  
function getImages($dir){
    global $imagetypes;
    $retval = array();

    if(substr($dir, -1) != "/") $dir .= "/";

    $fulldir = "{$_SERVER['DOCUMENT_ROOT']}/$dir";

    $d = @dir($fulldir) or die("getImages: Failed opening directory $dir for reading");
    while(false !== ($entry = $d->read())) {
		if($entry[0] == ".") continue;
		
		$f = escapeshellarg("$fulldir$entry");
		$mimetype = trim(`file -bi $f`);
		foreach($imagetypes as $valid_type) {
			if(preg_match("@^{$valid_type}@", $mimetype)) {
				$retval[] = array(
					'file' => "/$dir$entry",
					'size' => getimagesize("$fulldir$entry")
				);
				break;
			}
		}
	}
	$d->close();
	array_multisort($retval);
	return $retval;
}
$total=count($images);
$pages=ceil($total/$perPage);

$thisPage=isset($_GET['page'])?$_GET['page']-1:0; 
$start=$thisPage*$perPage;

for ($i=$start;$i<$start+$perPage;$i++)
	if (isset($images[$i]))
		echo '<div class="col-md-4 col-sm-4 col-xs-6 galery"><div class="frame"><img class="img-responsive" src="'.$images[$i]['file'].'" alt=""></div></div>';

echo '<div class="col-md-12"><p class="pull-right">Seite '; 
for ($i=0;$i<$pages;$i++) 
	if ($i==$thisPage) 
		echo "&nbsp;".($i+1); 
	else 
		echo "&nbsp;<a href='?page=".($i+1)."'>".($i+1)."</a>"; 
echo '</p></div>';
?>

</div>


<div id="myModal" class="modal fade">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            </div>
            <div class="modal-body">
                <div id="modalCarousel" class="carousel">
                    <div class="carousel-inner"></div>
                    <a class="carousel-control left" href="#modalCarousel" data-slide="prev"><i class="glyphicon glyphicon-chevron-left"></i></a>
                    <a class="carousel-control right" href="#modalCarousel" data-slide="next"><i class="glyphicon glyphicon-chevron-right"></i></a>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
<br><br>
<p style="font-size:11px;"><a href="http://www.easy-bytes.de/scripte/bildergalerie-script.html" target="_blank" title="Bootstrap Bildergalerie-Script">Bootstrap Bildergalerie-Script</a> von EASY-BYTES - Webdesign Agentur in Göttingen</p>


<style>
.carousel-inner {max-height:calc(100vh - 210px);overflow-y:auto;}
.modal-dialog img{position:relative;display:table;overflow-y:auto;overflow-x:auto;/*width:auto;min-width:300px;*/}
.frame { border:1px solid #ccc; background-color:#eee; padding:5px; margin-bottom:20px; }
.frame img { margin: 0 auto; height: 250px; max-height: 250px; width: auto; overflow:hidden}
</style>
<script>

$(document).ready(function(){	
	$('.galery img').on("load", function(){
	}).each(function(i){
	  //if(this.complete) {
		//console.log('complete');
		var item = $('<div class="item"></div>');
		var itemDiv = $(this).parents('div');
		$(itemDiv.html()).appendTo(item);
		
		item.appendTo('.carousel-inner'); 
		if (i==0) // set first item active
			item.addClass('active');
	 // }
	});
	/* activate the carousel */
	$('#modalCarousel').carousel({interval:false});
	/* change modal title when slide changes 
	$('#modalCarousel').on('slid.bs.carousel', function () {
	  $('.modal-title').html($(this).find('.active').attr("title"));
	})*/
	$('.galery img').click(function(){
		var idx = $(this).parents('div.galery').index();
		var id = parseInt(idx);
		$('#myModal').modal('show'); // show the modal
		$('#modalCarousel').carousel(id); // slide carousel to selected
	});
});
</script>
